module Main (main) where

import Test.HUnit
import TestLexer
import TestParser

main :: IO ()
main = do
  putStrLn "Testing Lexer"
  lexTC <- runTestTT TestLexer.tests
  putStrLn (showCounts lexTC)
  putStrLn ""
  putStrLn "Testing Parser"
  parseTC <- runTestTT TestParser.tests
  putStrLn (showCounts parseTC)
  putStrLn ""
